> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /time-off

POST https://api.merge.dev/api/hris/v1/time-off
Content-Type: application/json

Creates a `TimeOff` object with the given values.

Reference: https://docs.merge.dev/merge-unified/hris/common-models/time-off/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `is_debug_mode` (boolean, optional) — Whether to include debug fields (such as log file links) in the response.
- `run_async` (boolean, optional) — Whether or not third-party updates should be run asynchronously.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

### Body (application/json)

This endpoint expects a TimeOffEndpointRequest.

- `model` (TimeOffRequest, required) — # The TimeOff Object ### Description The `TimeOff` object is used to represent all employees' Time Off entries. ### Usage Example Fetch from the `LIST TimeOffs` endpoint and filter by `ID` to show all time off requests.

## Response

### 201

- `model` (TimeOff, required) — # The TimeOff Object ### Description The `TimeOff` object is used to represent all employees' Time Off entries. ### Usage Example Fetch from the `LIST TimeOffs` endpoint and filter by `ID` to show all time off requests.
- `warnings` (list of WarningValidationProblem, required)
- `errors` (list of ErrorValidationProblem, required)
- `logs` (list of DebugModeLog, optional)

## Types

### TimeOffRequest

# The TimeOff Object ### Description The `TimeOff` object is used to represent all employees' Time Off entries. ### Usage Example Fetch from the `LIST TimeOffs` endpoint and filter by `ID` to show all time off requests.

- `employee` (string, optional, nullable) — The employee requesting time off.
- `approver` (string, optional, nullable) — The Merge ID of the employee with the ability to approve the time off request.
- `status` (enum, optional, nullable) — The status of this time off request.
  - Allowed values: `REQUESTED`, `APPROVED`, `DECLINED`, `CANCELLED`, `DELETED`
- `employee_note` (string, optional, nullable) — The employee note for this time off request.
- `units` (enum, optional, nullable) — The measurement that the third-party integration uses to count time requested.
  - Allowed values: `HOURS`, `DAYS`
- `amount` (double, optional, nullable) — The time off quantity measured by the prescribed “units”.
- `request_type` (enum, optional, nullable) — The type of time off request.
  - Allowed values: `VACATION`, `SICK`, `PERSONAL`, `JURY_DUTY`, `VOLUNTEER`, `BEREAVEMENT`, `LEAVE`
- `start_time` (datetime, optional, nullable) — The day and time of the start of the time requested off.
- `end_time` (datetime, optional, nullable) — The day and time of the end of the time requested off.
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)
- `request_type_native` (string, optional, nullable) — The third-party value for `request_type`, sent to the integration without enum normalization. Cannot be combined with `request_type`.
- `status_native` (string, optional, nullable) — The third-party value for `status`, sent to the integration without enum normalization. Cannot be combined with `status`.
- `units_native` (string, optional, nullable) — The third-party value for `units`, sent to the integration without enum normalization. Cannot be combined with `units`.

### TimeOff

# The TimeOff Object ### Description The `TimeOff` object is used to represent all employees' Time Off entries. ### Usage Example Fetch from the `LIST TimeOffs` endpoint and filter by `ID` to show all time off requests.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `employee` (string, optional, nullable) — The employee requesting time off.
- `approver` (string, optional, nullable) — The Merge ID of the employee with the ability to approve the time off request.
- `status` (enum, optional, nullable) — The status of this time off request. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=status` to receive the integration's own value instead.
  - Allowed values: `REQUESTED`, `APPROVED`, `DECLINED`, `CANCELLED`, `DELETED`
- `employee_note` (string, optional, nullable) — The employee note for this time off request.
- `units` (enum, optional, nullable) — The measurement that the third-party integration uses to count time requested. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=units` to receive the integration's own value instead.
  - Allowed values: `HOURS`, `DAYS`
- `amount` (double, optional, nullable) — The time off quantity measured by the prescribed “units”.
- `request_type` (enum, optional, nullable) — The type of time off request. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=request_type` to receive the integration's own value instead.
  - Allowed values: `VACATION`, `SICK`, `PERSONAL`, `JURY_DUTY`, `VOLUNTEER`, `BEREAVEMENT`, `LEAVE`
- `start_time` (datetime, optional, nullable) — The day and time of the start of the time requested off.
- `end_time` (datetime, optional, nullable) — The day and time of the end of the time requested off.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (TimeOffFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

### WarningValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### ErrorValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### DebugModeLog

- `log_id` (string, required)
- `dashboard_view` (string, required)
- `log_summary` (DebugModelLogSummary, required)

### TimeOffFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### ValidationProblemSource

- `pointer` (string, required)

### DebugModelLogSummary

- `url` (string, required)
- `method` (string, required)
- `status_code` (integer, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "model": {
    "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
    "remote_id": "19202938",
    "created_at": "2021-09-15T00:00:00Z",
    "modified_at": "2021-10-16T00:00:00Z",
    "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
    "approver": "9efbc633-3387-4306-aa55-e2c635e6bb4f",
    "status": "APPROVED",
    "employee_note": "Moving into the new apartment Kendall Roy gave me!",
    "units": "DAYS",
    "amount": 3,
    "request_type": "VACATION",
    "start_time": "2020-11-10T00:00:00Z",
    "end_time": "2020-11-17T00:00:00Z",
    "remote_was_deleted": true,
    "field_mappings": {
      "organization_defined_targets": {
        "custom_key": "custom_value"
      },
      "linked_account_defined_targets": {
        "custom_key": "custom_value"
      }
    },
    "remote_data": [
      {
        "path": "/leave",
        "data": null
      }
    ]
  },
  "warnings": [
    {
      "title": "Unrecognized Field",
      "detail": "An unrecognized field, age, was passed in with request data.",
      "problem_type": "UNRECOGNIZED_FIELD",
      "source": {
        "pointer": "/age"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "errors": [
    {
      "title": "Missing Required Field",
      "detail": "custom_fields is a required field on model.",
      "problem_type": "MISSING_REQUIRED_FIELD",
      "source": {
        "pointer": "/model/custom_fields"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "logs": [
    {
      "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
      "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
      "log_summary": {
        "url": "www.exampleintegration.com/api/v1/exampleapi",
        "method": "POST",
        "status_code": 200
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/hris/v1/time-off"

payload = {}
headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/hris/v1/time-off';
const options = {
  method: 'POST',
  headers: {
    'X-Account-Token': 'X-Account-Token',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/hris/v1/time-off"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/hris/v1/time-off")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.merge.dev/api/hris/v1/time-off")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.merge.dev/api/hris/v1/time-off', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/hris/v1/time-off");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/hris/v1/time-off")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```